Bug 77978 - If a ppp connection fails, the boot process hangs
If a ppp connection fails, the boot process hangs
Product: Red Hat Linux
Classification: Retired
Component: initscripts (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2002-11-16 06:13 EST by Göran Uddeborg
Modified: 2014-03-16 22:32 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-01-13 23:01:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Patch to ifup-ppp to call ppp-watch the way it expects. (825 bytes, patch)
2002-11-16 06:14 EST, Göran Uddeborg
no flags Details | Diff

  None (edit)
Description Göran Uddeborg 2002-11-16 06:13:06 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20021003

Description of problem:
When some ppp connection is set to start at boot time, but it for some reason
fails, ppp-watch will wait indefinitely for it to finish.  And the boot routine
in turn will wait for ppp-watch indefinitely.

Version-Release number of selected component (if applicable): 6.95-1

How reproducible:

Steps to Reproduce:
1.Configure a PPP connection with DEMAND=yes and ONBOOT=yes

Actual Results:  The boot process hangs when trying to start up the PPP interface.

Expected Results:  After a time-out, I would expect the boot to continue.

(Well, initially, I would have expected the interface to actually come up.  But
as I reported in bug 54680, this does not work properly.  That problem is still
around in 6.95.

In any case, this could probably happen also when the PPP connection fails for
other reasons, so this is a separate bug.)

Additional info:

The ifup-ppp script uses the syntax

   ppp-watch interface interface [boot]

when calling ppp-watch.  This is also what the manual page says.  But the
program actually implements the (older, I think) syntax

   ppp-watch interface [boot]

The result is that ppp-watch does not realize it is called at boot time, and
will not set the appropriate time-out.

One could of course modify ppp-watch.c to implement the expected syntax.  But
after looking at this a little, I could see no reason for giving ppp-watch the
interface twice.  So I enclose a trivial patch for ifup-ppp which uses the
syntax actually implemented instead.
Comment 1 Göran Uddeborg 2002-11-16 06:14:29 EST
Created attachment 85264 [details]
Patch to ifup-ppp to call ppp-watch the way it expects.
Comment 2 Bill Nottingham 2003-01-13 23:01:47 EST
Added in 7.03-1, thanks!

Note You need to log in before you can comment on or make changes to this bug.